# classes/phing/parser/TargetHandler.php

The target handler class.

This class handles the occurance of a <target> tag and it's possible nested tags (datatypes and tasks).

author
  Andreas Aderhold
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.parser
version
  $Revision: 914 $

## \TargetHandler
jump to top

The target handler class.

This class handles the occurance of a <target> tag and it's possible nested tags (datatypes and tasks).

Extends from
  \AbstractHandler
author
  Andreas Aderhold
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.parser
version
  $Revision: 914 $

### Properties

`\ProjectConfigurator $configurator= ''`

The phing project configurator object

Details

Type
  \ProjectConfigurator

`object $target= ''`

Reference to the target object that represents the currently parsed target.

the target instance
Details

Type
  object

### Methods

`__construct( object $parser, object $parentHandler, object $configurator ) :`
Constructs a new TargetHandler
Parameters

Name | Type | Description
--- | --- | ---
$parser | object | the ExpatParser object
$parentHandler | object | the parent handler that invoked this handler
$configurator | object | the ProjectConfigurator object

`init( string $tag, array $attrs ) :`
Executes initialization actions required to setup the data structures related to the tag.

<

p> This includes:

- creation of the target object
- calling the setters for attributes
- adding the target to the project
- adding a reference to the target (if id attribute is given)

Parameters

Name | Type | Description
--- | --- | ---
$tag | string | the tag that comes in
$attrs | array | attributes the tag carries

Details

throws
  if attributes are incomplete or invalid

`startElement( string $name, array $attrs ) :`
Checks for nested tags within the current one. Creates and calls handlers respectively.
Parameters

Name | Type | Description
--- | --- | ---
$name | string | the tag that comes in
$attrs | array | attributes the tag carries

Documentation was generated by DocBlox 0.13.1.